> For the complete documentation index, see [llms.txt](https://seer-3.gitbook.io/seer-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://seer-3.gitbook.io/seer-documentation/developers/contracts/core/marketview.md).

# MarketView

Contract used as a frontend helper. It doesn't have any state-changing function.

## Variables

### MarketInfo

```solidity
struct MarketInfo {
  address id;
  string marketName;
  string[] outcomes;
  address parentMarket;
  uint256 parentOutcome;
  address[] wrappedTokens;
  uint256 outcomesSupply;
  uint256 lowerBound;
  uint256 upperBound;
  bytes32 parentCollectionId;
  bytes32 conditionId;
  bytes32 questionId;
  uint256 templateId;
  struct IRealityETH_v3_0.Question[] questions;
  bytes32[] questionsIds;
  string[] encodedQuestions;
  bool payoutReported;
}
```

## Functions

### getMarket

```solidity
function getMarket(contract IMarketFactory marketFactory, contract Market market) public view returns (struct MarketView.MarketInfo)
```

### getOutcomesAndTokens

```solidity
function getOutcomesAndTokens(contract IConditionalTokens conditionalTokens, contract Market market, bytes32 conditionId) internal view returns (string[] outcomes, address[] wrappedTokens)
```

### getQuestions

```solidity
function getQuestions(contract Market market, contract IMarketFactory marketFactory) internal view returns (struct IRealityETH_v3_0.Question[] questions, string[] encodedQuestions, bytes32[] questionsIds)
```

### getMarkets

```solidity
function getMarkets(uint256 count, contract IMarketFactory marketFactory) external view returns (struct MarketView.MarketInfo[])
```

### getQuestionId

```solidity
function getQuestionId(bytes32 questionId, contract IRealityETH_v3_0 realitio) public view returns (bytes32)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://seer-3.gitbook.io/seer-documentation/developers/contracts/core/marketview.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
